////////////////////1v1_stonehenge shaders by Gigon:

////////////////////Skybox:

textures/el_1v1_stonehenge/stonehenge_skybox
{
    q3map_lightimage textures/el_1v1_stonehenge/lightref1.tga
      qer_editorimage textures/common/sky.tga
      q3map_surfacelight 95
      surfaceparm noimpact
    surfaceparm nomarks
      surfaceparm nolightmap
      surfaceparm sky
      q3map_sun 1 1 1 80 90 75
    skyParms env/redsky 512 -
}

////////////////////terrain:

textures/el_1v1_stonehenge/t_grass01
{
    surfaceparm nosteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_1v1_stonehenge/t_grass01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_1v1_stonehenge/t_water01
{
    qer_trans 0.55
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    cull disable
    {
        map textures/el_1v1_stonehenge/t_water01.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.006 -0.008
    }
    {
	map textures/el_1v1_stonehenge/t_water01.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.004 0.005
    }
}

////////////////////shines:

textures/el_1v1_stonehenge/f_chrome01
{
    {
        map textures/el_1v1_stonehenge/f_chrome01.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_1v1_stonehenge/sh_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_1v1_stonehenge/f_gris01
{
    {
        map textures/el_1v1_stonehenge/f_gris01.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_1v1_stonehenge/sh_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

////////////////////jumppad:

textures/el_1v1_stonehenge/f_jumppad
{
	qer_editorimage textures/el_1v1_stonehenge/f_jumppad02.tga
    {
        map $lightmap
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_1v1_stonehenge/f_jumppad01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_1v1_stonehenge/f_jumppad02.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 1 1 1 0.5
    }
}

////////////////////alpha-chanel:

textures/el_1v1_stonehenge/al_herring
{
    surfaceparm trans
    surfaceparm shotclip
    cull disable
    {
        map textures/el_1v1_stonehenge/al_herring.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

////////////////////levelshot:

levelshots/1v1_stonehenge
{
	{
		map levelshots/1v1_stonehenge.tga
		blendfunc blend
	}
	{
		map levelshots/1v1_stonehenge-1.tga
		blendfunc add
		rgbGen wave sin 1 1 1 0.1 
	}
	{
		map levelshots/1v1_stonehenge-2.tga
		blendfunc add
		rgbGen wave sin 0 1 0 0.09 
	}
}

////////////////////the end...